com.impinj.stp

## Interface StpApi.GPOConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.GPOConfig, StpApi.GPOConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.GPOConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `StpApi.GPIOPolarity` | `getGPO1Polarity()` Operation Status - Start and Complete
    `StpApi.GPIOPolarity` | `getGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `StpApi.GPIOPolarity` | `getGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `int` | `getGPOPulseDuration()` The output pulse duration in milliseconds.
    `StpApi.GPIOSignalMode` | `getSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.
    `boolean` | `hasEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `boolean` | `hasGPO1Polarity()` Operation Status - Start and Complete
    `boolean` | `hasGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `boolean` | `hasGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `boolean` | `hasGPOPulseDuration()` The output pulse duration in milliseconds.
    `boolean` | `hasSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSignalingMode

          boolean hasSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.

    - #### getSignalingMode

          StpApi.GPIOSignalMode getSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.

    - #### hasGPO1Polarity

          boolean hasGPO1Polarity()

      Operation Status - Start and Complete

    - #### getGPO1Polarity

          StpApi.GPIOPolarity getGPO1Polarity()

      Operation Status - Start and Complete

    - #### hasGPO2Polarity

          boolean hasGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.

    - #### getGPO2Polarity

          StpApi.GPIOPolarity getGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.

    - #### hasGPO3Polarity

          boolean hasGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.

    - #### getGPO3Polarity

          StpApi.GPIOPolarity getGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.

    - #### hasGPOPulseDuration

          boolean hasGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.

    - #### getGPOPulseDuration

          int getGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.

    - #### hasEnableOperationResultGpo

          boolean hasEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.

    - #### getEnableOperationResultGpo

          boolean getEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.